# Contributing

## Issues

**Ask questions** on [Stack Overflow](https://stackoverflow.com/ "Stack Overflow is a question and answer forum."). They will get more visibility and we can all enjoy an optimized Q&A experience. In the event that you don't get a satisfactory answer, it is okay to file an issue. Please post a link to your Stack Overflow question.

**Bug reports** must include reproducible steps and supporting details, such as screenshots. We will be able to fix the problem faster if you supply a failing test case in a pull request.

**Feature requests** must include use cases and details of the projects that would like to use them. Please keep these focussed on the user rather than the implementation. A pull request that proves the concept will be more effective if there are technical concerns.

## Pull Requests

We love [PRs](https://help.github.com/articles/using-pull-requests/ "How to use pull requests on GitHub.")! ❤️ The more the merrier, even for simple typos.

Any non-trivial pull request may earn you commit privileges.

An ideal patch brings reliability improvements, new tests, and improved code coverage. In general, these things are much more valuable than features. It takes a healthy system to make the user happy.

## Help

**Still learning?** Check out how to [contribute to Open Source](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github) projects.

**Important work** comes in many forms. There are labels for [bugs](https://github.com/sholladay/squatter/labels/bug) and [easy](https://github.com/sholladay/squatter/labels/easy) vs [hard](https://github.com/sholladay/squatter/labels/hard) tasks. We also appreciate documentation, examples, tutorials, blogs, videos, books, and other supporting content.
